Jonjie
1 month ago
417
7
Laravel

Cannot add new package to laravel project

Posted 1 month ago by Jonjie

I'm currently working on an old project created by different developers. But when I'm adding a new package to composer.json file, it returns a lot of errors. Please see my code and screenshot below.

Package I'm trying to add

"aws/aws-sdk-php-laravel": "~3.0"

composer.json

"require": {
    "php": ">=7.0.0",
     "aceraven777/laravel-paymaya": "^1.0",
     "aloha/twilio": "^4.0",
     "fideloper/proxy": "~3.3",
     "florianv/laravel-swap": "^1.3",
     "freshbitsweb/laratables": "^1.1",
     "intervention/image": "^2.4",
     "laravel/framework": "5.5.*",
     "laravel/tinker": "~1.0",
     "laravelcollective/html": "^5.4.0",
     "maatwebsite/excel": "~2.1.0",
     "mews/captcha": "^2.2",
     "paypal/rest-api-sdk-php": "^1.13",
     "php-http/guzzle6-adapter": "^1.1",
     "php-http/message": "^1.7",
     "stevebauman/location": "^3.0",
     "tymon/jwt-auth": "dev-develop",
     "cartalyst/stripe-laravel": "2.0.*",
     "aws/aws-sdk-php-laravel": "~3.0"
    }

Errors in command prompt enter image description here

Please sign in or create an account to participate in this conversation.